### Method

# EBookContacts VCard get_attribute

#### Declaration [src]

    EVCardAttribute*
    e_vcard_get_attribute (
      EVCard* evc,
      const gchar* name
    )

#### Description [src]

Get the attribute `name` from `evc`. The `EVCardAttribute` is owned by `evcard` and should not be freed. If the attribute does not exist, `NULL` is returned.

This will only return the first attribute with the given `name`. To get other attributes of that name (for example, other `TEL` attributes if a contact has multiple telephone numbers), use `e_vcard_get_attributes()` and iterate over the list searching for matching attributes. This method iterates over all attributes in the `EVCard`, so should not be called often. If extracting a large number of attributes from a vCard, it is more efficient to iterate once over the list returned by e_vcard_get_attributes()..

#### Parameters

`name`

  Type: `const gchar*`

  The name of the attribute to get.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EVCardAttribute`

An `EVCardAttribute` if found, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.